# CvBlobTrackerOne Class Reference

`#include <blobtrack.hpp>`

Inheritance diagram for CvBlobTrackerOne:

List of all members.

## Public Member Functions

virtual double | GetConfidence (CvBlob *, IplImage *, IplImage *=NULL, IplImage *=NULL)
virtual void | Init (CvBlob *pBlobInit, IplImage *pImg, IplImage *pImgFG=NULL)=0
virtual CvBlob * | Process (CvBlob *pBlobPrev, IplImage *pImg, IplImage *pImgFG=NULL)=0
virtual void | Release ()=0
virtual void | SetCollision (int)
virtual void | SkipProcess (CvBlob *, IplImage *, IplImage *=NULL)
virtual void | Update (CvBlob *, IplImage *, IplImage *=NULL)

## Member Function Documentation

virtual double CvBlobTrackerOne::GetConfidence | ( | CvBlob * | ,
|  | IplImage * | ,
|  | IplImage * | = `NULL`,
|  | IplImage * | = `NULL`
| ) |  | `[inline, virtual]`

virtual void CvBlobTrackerOne::Init | ( | CvBlob * | pBlobInit,
|  | IplImage * | pImg,
|  | IplImage * | pImgFG = `NULL`
| ) |  | `[pure virtual]`

virtual CvBlob* CvBlobTrackerOne::Process | ( | CvBlob * | pBlobPrev,
|  | IplImage * | pImg,
|  | IplImage * | pImgFG = `NULL`
| ) |  | `[pure virtual]`

virtual void CvBlobTrackerOne::Release | ( | ) | `[pure virtual]`

Implements CvVSModule.

virtual void CvBlobTrackerOne::SetCollision | ( | int | ) | `[inline, virtual]`

virtual void CvBlobTrackerOne::SkipProcess | ( | CvBlob * | ,
|  | IplImage * | ,
|  | IplImage * | = `NULL`
| ) |  | `[inline, virtual]`

virtual void CvBlobTrackerOne::Update | ( | CvBlob * | ,
|  | IplImage * | ,
|  | IplImage * | = `NULL`
| ) |  | `[inline, virtual]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines